# Analytics Engine

The analysis engine is used to evaluate stored XAPI statements. The results generated in this way can then be integrated into an existing application via the Dashboard SDK.

## Configuring Engines

Analytics Engines are controlled via YAML files, which are stored in the `configuration` directory. The analytics engines scheduler needs to be notfied about configuration changes by running `scheduler read-configs`, which reads all existing YAML files and starts or updates analytics engines.

If you are running the analytics engine in a Docker container, you should run the following command.

```bash
$ docker compose exec -it scheduler sh -c 'scheduler read-configs'
```
